Skip to main content
GET
/
payroll-groups
/
{id}
Get Payroll Group
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/payroll-groups/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "payroll_item_id": "<string>",
  "default_wage": 123,
  "insert_date": "<string>",
  "invoice_cost": 123,
  "wage_rules_id": "<string>",
  "group_rows": [
    "<string>"
  ],
  "locations": [
    "<string>"
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Payroll Group ID

Response

OK

A payroll group used to categorize shifts for payroll and invoicing purposes.

id
string

Payroll group identifier

name
string

Payroll group name

payroll_item_id
string | null

External payroll item identifier

default_wage
number<float> | null

Default wage rate

insert_date
string | null

Creation date

invoice_cost
number<float> | null

Invoice cost rate

wage_rules_id
string | null

Associated wage rule identifier

group_rows
string[]

Skillset combination row IDs

locations
string[]

Associated location IDs